/*
 * AzandeCrc.h
 *
 * Author : Anders Zeijlon
 */ 

#ifndef AZANDECRC_H_
#define AZANDECRC_H_



//==============================================================================
//--------------------------- Include Files ------------------------------------
//==============================================================================

#include <stdint.h>


//==============================================================================
//--------------------------- Public Defines, Typedef --------------------------
//==============================================================================

#define CRC_SEED_VALUE 0xFFFF

//==============================================================================
//--------------------------- Public Functions ---------------------------------
//==============================================================================

uint16_t Crc_Update(uint16_t crc_accum, uint8_t data_byte);




#endif /* AZANDECRC_H_ */
